Subject: bug#21982: 25.1.50; Building emacs-25 branch fails

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Nov 2015 18:15:40 +0200

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 23 Nov 2015 21:54:45 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Was your branch tree created by "git worktree"?
> 
> I never used that command, so I guess "no".

Can you run Emacs under valgrind?  It should be able to find the
offending code.  (I assume that just running by hand the single
command that aborts is sufficient to reproduce the problem.)

Btw, the problem with "End of file during parsing" I reported came
back today: I again got null bytes in the middle of the file.  So
whatever was causing corruption of loaddefs.el is still with us.

Thanks.